Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.construct
Interface FlowConstruct

All Superinterfaces:
  LifecycleStateEnabled

All Known Subinterfaces:
  Service

All Known Implementing Classes:
  AbstractFlowConstruct, AbstractService, Bridge, DefaultLocalMuleClient.MuleClientFlowConstruct, IBeanFlowConstruct, JcaService, SedaService, SimpleFlowConstruct, SimpleService, WSProxy

    public interface FlowConstruct

extends LifecycleStateEnabled

A uniquely identified message flow construct who's implementation and configuration defines at a minimum where messages come from and what processing steps should be used to process these messages.

Method Summary
`MessagingExceptionHandler` | `getExceptionListener()`
`MessageInfoMapping` | `getMessageInfoMapping()`
`MuleContext` | `getMuleContext()`
`String` | `getName()`
`FlowConstructStatistics` | `getStatistics()`

Methods inherited from interface org.mule.api.lifecycle.LifecycleStateEnabled
`getLifecycleState`

Method Detail

### getName

    String getName()

  Returns:
    The name which identifies this flow construct which is unique in MuleConext registry

### getExceptionListener

    MessagingExceptionHandler getExceptionListener()

  Returns:
    The exception listener that will be used to handle exceptions that may be thrown at different points during the message flow defined by this construct.

### getStatistics

    FlowConstructStatistics getStatistics()

  Returns:
    The statistics holder used by this flow construct to keep track of its activity.

### getMuleContext

    MuleContext getMuleContext()

### getMessageInfoMapping

    MessageInfoMapping getMessageInfoMapping()

  Returns:
    This implementation of `MessageInfoMapping` used to control how Important message information is pulled from the current message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.